#pragma once
#include <afxwin.h>

BOOL DisplayBMP(CDC* pDC, int nX1, int nY1, int nXX, int nYY, CString strBMPFile, BOOL bStretch);
void DrawColorButton(LPDRAWITEMSTRUCT lpDIS, COLORREF clrButton);


class CCompatibleDC :public CDC
{
public:
	CCompatibleDC();
	~CCompatibleDC();

private:
	CDC* m_pDrawDC;
	CRect m_rect;
	CBitmap m_bitmap, *m_pOldBitmap;
public:
	void Create(CDC* pDC);
	void Destroy(void);
	void Destroy(CRect rect);
};

